import { ElementRef, OnInit, EventEmitter } from '@angular/core';
import { FormControl, UntypedFormBuilder } from '@angular/forms';
import { MatAutocompleteSelectedEvent } from '@angular/material/autocomplete';
import { MatChipInputEvent } from '@angular/material/chips';
import { Observable } from 'rxjs';
import { BaseFieldComponent } from '../../classes/field';
import { FormService } from '../../services/form.service';
import { TranslationService } from '../../services/translation.service';
import { ICodeEntry } from '../../interfaces/ifield';
import { IAutoCompleteOptions } from '../../interfaces/iautocompleteoption';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { MatFormField } from '@angular/material/form-field';
import * as i0 from "@angular/core";
export declare class ChipsCompleteComponent extends BaseFieldComponent implements OnInit {
    fb: UntypedFormBuilder;
    fs: FormService;
    ts: TranslationService;
    separatorKeysCodes: number[];
    fruitCtrl: FormControl<string>;
    filteredFruits: Observable<any[]>;
    fruits: string[];
    canAdd: boolean;
    multiple: boolean;
    actualOptions: number;
    active: boolean;
    options: any[];
    config: IAutoCompleteOptions;
    optionChange: EventEmitter<ICodeEntry[]>;
    fruitInput: ElementRef<HTMLInputElement>;
    chipField: MatFormField;
    error: ElementRef;
    constructor(fb: UntypedFormBuilder, fs: FormService, ts: TranslationService);
    ngOnInit(): void;
    setUp(): void;
    synchtoFormbuilder(): void;
    focusEvent(): void;
    add(event: MatChipInputEvent): void;
    remove(fruit: string): void;
    selected(event: MatAutocompleteSelectedEvent): void;
    private _filterStates;
    private _filterGroup;
    drop(event: CdkDragDrop<string[]>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipsCompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChipsCompleteComponent, "app-chips-complete", never, { "options": "options"; "config": "config"; }, { "optionChange": "optionChange"; }, never, never, false, never>;
}
